## org.eclipse.jst.ws.jaxws.dom.runtime.api
Interface DomPackage.Literals

Enclosing interface:
  DomPackage

    public static interface DomPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` `IDOM` The meta object literal for the '`IDOM`' class.
`static org.eclipse.emf.ecore.EReference` `IDOM__WEB_SERVICE_PROJECTS` The meta object literal for the 'Web Service Projects' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `IJAVA_WEB_SERVICE_ELEMENT` The meta object literal for the '`IJava Web Service Element`' class.
`static org.eclipse.emf.ecore.EAttribute` `IJAVA_WEB_SERVICE_ELEMENT__IMPLEMENTATION` The meta object literal for the 'Implementation' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `IJAVA_WEB_SERVICE_ELEMENT__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EClass` `ISERVICE_ENDPOINT_INTERFACE` The meta object literal for the '`IService Endpoint Interface`' class.
`static org.eclipse.emf.ecore.EReference` `ISERVICE_ENDPOINT_INTERFACE__IMPLEMENTING_WEB_SERVICES` The meta object literal for the 'Implementing Web Services' reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `ISERVICE_ENDPOINT_INTERFACE__IMPLICIT` The meta object literal for the 'Implicit' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `ISERVICE_ENDPOINT_INTERFACE__SOAP_BINDING_PARAMETER_STYLE` The meta object literal for the 'Soap Binding Parameter Style' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `ISERVICE_ENDPOINT_INTERFACE__SOAP_BINDING_STYLE` The meta object literal for the 'Soap Binding Style' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `ISERVICE_ENDPOINT_INTERFACE__SOAP_BINDING_USE` The meta object literal for the 'Soap Binding Use' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `ISERVICE_ENDPOINT_INTERFACE__TARGET_NAMESPACE` The meta object literal for the 'Target Namespace' attribute feature.
`static org.eclipse.emf.ecore.EReference` `ISERVICE_ENDPOINT_INTERFACE__WEB_METHODS` The meta object literal for the 'Web Methods' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `IWEB_METHOD` The meta object literal for the '`IWeb Method`' class.
`static org.eclipse.emf.ecore.EAttribute` `IWEB_METHOD__EXCLUDED` The meta object literal for the 'Excluded' attribute feature.
`static org.eclipse.emf.ecore.EReference` `IWEB_METHOD__PARAMETERS` The meta object literal for the 'Parameters' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `IWEB_METHOD__SOAP_BINDING_PARAMETER_STYLE` The meta object literal for the 'Soap Binding Parameter Style' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `IWEB_METHOD__SOAP_BINDING_STYLE` The meta object literal for the 'Soap Binding Style' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `IWEB_METHOD__SOAP_BINDING_USE` The meta object literal for the 'Soap Binding Use' attribute feature.
`static org.eclipse.emf.ecore.EClass` `IWEB_PARAM` The meta object literal for the '`IWeb Param`' class.
`static org.eclipse.emf.ecore.EAttribute` `IWEB_PARAM__HEADER` The meta object literal for the 'Header' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `IWEB_PARAM__KIND` The meta object literal for the 'Kind' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `IWEB_PARAM__PART_NAME` The meta object literal for the 'Part Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `IWEB_PARAM__TARGET_NAMESPACE` The meta object literal for the 'Target Namespace' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `IWEB_PARAM__TYPE_NAME` The meta object literal for the 'Type Name' attribute feature.
`static org.eclipse.emf.ecore.EClass` `IWEB_SERVICE` The meta object literal for the '`IWeb Service`' class.
`static org.eclipse.emf.ecore.EAttribute` `IWEB_SERVICE__PORT_NAME` The meta object literal for the 'Port Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` `IWEB_SERVICE__SERVICE_ENDPOINT` The meta object literal for the 'Service Endpoint' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `IWEB_SERVICE__TARGET_NAMESPACE` The meta object literal for the 'Target Namespace' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `IWEB_SERVICE__WSDL_LOCATION` The meta object literal for the 'Wsdl Location' attribute feature.
`static org.eclipse.emf.ecore.EClass` `IWEB_SERVICE_PROJECT` The meta object literal for the '`IWeb Service Project`' class.
`static org.eclipse.emf.ecore.EAttribute` `IWEB_SERVICE_PROJECT__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` `IWEB_SERVICE_PROJECT__SERVICE_ENDPOINT_INTERFACES` The meta object literal for the 'Service Endpoint Interfaces' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `IWEB_SERVICE_PROJECT__WEB_SERVICES` The meta object literal for the 'Web Services' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `IWEB_TYPE` The meta object literal for the '`IWeb Type`' class.
`static org.eclipse.emf.ecore.EEnum` `SOAP_BINDING_PARAMETER_STYLE` The meta object literal for the '`SOAP Binding Parameter Style`' enum.
`static org.eclipse.emf.ecore.EEnum` `SOAP_BINDING_STYLE` The meta object literal for the '`SOAP Binding Style`' enum.
`static org.eclipse.emf.ecore.EEnum` `SOAP_BINDING_USE` The meta object literal for the '`SOAP Binding Use`' enum.
`static org.eclipse.emf.ecore.EEnum` `WEB_PARAM_KIND` The meta object literal for the '`Web Param Kind`' enum.

Field Detail

### IDOM

    static final org.eclipse.emf.ecore.EClass IDOM

  The meta object literal for the '`IDOM`' class.

  See Also:
    `IDOMImpl`, `DomPackageImpl.getIDOM()`

### IDOM__WEB_SERVICE_PROJECTS

    static final org.eclipse.emf.ecore.EReference IDOM__WEB_SERVICE_PROJECTS

  The meta object literal for the 'Web Service Projects' containment reference list feature.

### IJAVA_WEB_SERVICE_ELEMENT

    static final org.eclipse.emf.ecore.EClass IJAVA_WEB_SERVICE_ELEMENT

  The meta object literal for the '`IJava Web Service Element`' class.

  See Also:
    `IJavaWebServiceElementImpl`, `DomPackageImpl.getIJavaWebServiceElement()`

### IJAVA_WEB_SERVICE_ELEMENT__IMPLEMENTATION

    static final org.eclipse.emf.ecore.EAttribute IJAVA_WEB_SERVICE_ELEMENT__IMPLEMENTATION

  The meta object literal for the 'Implementation' attribute feature.

### IJAVA_WEB_SERVICE_ELEMENT__NAME

    static final org.eclipse.emf.ecore.EAttribute IJAVA_WEB_SERVICE_ELEMENT__NAME

  The meta object literal for the 'Name' attribute feature.

### ISERVICE_ENDPOINT_INTERFACE

    static final org.eclipse.emf.ecore.EClass ISERVICE_ENDPOINT_INTERFACE

  The meta object literal for the '`IService Endpoint Interface`' class.

  See Also:
    `IServiceEndpointInterfaceImpl`, `DomPackageImpl.getIServiceEndpointInterface()`

### ISERVICE_ENDPOINT_INTERFACE__IMPLICIT

    static final org.eclipse.emf.ecore.EAttribute ISERVICE_ENDPOINT_INTERFACE__IMPLICIT

  The meta object literal for the 'Implicit' attribute feature.

### ISERVICE_ENDPOINT_INTERFACE__IMPLEMENTING_WEB_SERVICES

    static final org.eclipse.emf.ecore.EReference ISERVICE_ENDPOINT_INTERFACE__IMPLEMENTING_WEB_SERVICES

  The meta object literal for the 'Implementing Web Services' reference list feature.

### ISERVICE_ENDPOINT_INTERFACE__WEB_METHODS

    static final org.eclipse.emf.ecore.EReference ISERVICE_ENDPOINT_INTERFACE__WEB_METHODS

  The meta object literal for the 'Web Methods' containment reference list feature.

### ISERVICE_ENDPOINT_INTERFACE__TARGET_NAMESPACE

    static final org.eclipse.emf.ecore.EAttribute ISERVICE_ENDPOINT_INTERFACE__TARGET_NAMESPACE

  The meta object literal for the 'Target Namespace' attribute feature.

### ISERVICE_ENDPOINT_INTERFACE__SOAP_BINDING_STYLE

    static final org.eclipse.emf.ecore.EAttribute ISERVICE_ENDPOINT_INTERFACE__SOAP_BINDING_STYLE

  The meta object literal for the 'Soap Binding Style' attribute feature.

### ISERVICE_ENDPOINT_INTERFACE__SOAP_BINDING_USE

    static final org.eclipse.emf.ecore.EAttribute ISERVICE_ENDPOINT_INTERFACE__SOAP_BINDING_USE

  The meta object literal for the 'Soap Binding Use' attribute feature.

### ISERVICE_ENDPOINT_INTERFACE__SOAP_BINDING_PARAMETER_STYLE

    static final org.eclipse.emf.ecore.EAttribute ISERVICE_ENDPOINT_INTERFACE__SOAP_BINDING_PARAMETER_STYLE

  The meta object literal for the 'Soap Binding Parameter Style' attribute feature.

### IWEB_METHOD

    static final org.eclipse.emf.ecore.EClass IWEB_METHOD

  The meta object literal for the '`IWeb Method`' class.

  See Also:
    `IWebMethodImpl`, `DomPackageImpl.getIWebMethod()`

### IWEB_METHOD__PARAMETERS

    static final org.eclipse.emf.ecore.EReference IWEB_METHOD__PARAMETERS

  The meta object literal for the 'Parameters' containment reference list feature.

### IWEB_METHOD__EXCLUDED

    static final org.eclipse.emf.ecore.EAttribute IWEB_METHOD__EXCLUDED

  The meta object literal for the 'Excluded' attribute feature.

### IWEB_METHOD__SOAP_BINDING_STYLE

    static final org.eclipse.emf.ecore.EAttribute IWEB_METHOD__SOAP_BINDING_STYLE

  The meta object literal for the 'Soap Binding Style' attribute feature.

### IWEB_METHOD__SOAP_BINDING_USE

    static final org.eclipse.emf.ecore.EAttribute IWEB_METHOD__SOAP_BINDING_USE

  The meta object literal for the 'Soap Binding Use' attribute feature.

### IWEB_METHOD__SOAP_BINDING_PARAMETER_STYLE

    static final org.eclipse.emf.ecore.EAttribute IWEB_METHOD__SOAP_BINDING_PARAMETER_STYLE

  The meta object literal for the 'Soap Binding Parameter Style' attribute feature.

### IWEB_PARAM

    static final org.eclipse.emf.ecore.EClass IWEB_PARAM

  The meta object literal for the '`IWeb Param`' class.

  See Also:
    `IWebParamImpl`, `DomPackageImpl.getIWebParam()`

### IWEB_PARAM__KIND

    static final org.eclipse.emf.ecore.EAttribute IWEB_PARAM__KIND

  The meta object literal for the 'Kind' attribute feature.

### IWEB_PARAM__TYPE_NAME

    static final org.eclipse.emf.ecore.EAttribute IWEB_PARAM__TYPE_NAME

  The meta object literal for the 'Type Name' attribute feature.

### IWEB_PARAM__PART_NAME

    static final org.eclipse.emf.ecore.EAttribute IWEB_PARAM__PART_NAME

  The meta object literal for the 'Part Name' attribute feature.

### IWEB_PARAM__TARGET_NAMESPACE

    static final org.eclipse.emf.ecore.EAttribute IWEB_PARAM__TARGET_NAMESPACE

  The meta object literal for the 'Target Namespace' attribute feature.

### IWEB_PARAM__HEADER

    static final org.eclipse.emf.ecore.EAttribute IWEB_PARAM__HEADER

  The meta object literal for the 'Header' attribute feature.

### IWEB_SERVICE

    static final org.eclipse.emf.ecore.EClass IWEB_SERVICE

  The meta object literal for the '`IWeb Service`' class.

  See Also:
    `IWebServiceImpl`, `DomPackageImpl.getIWebService()`

### IWEB_SERVICE__SERVICE_ENDPOINT

    static final org.eclipse.emf.ecore.EReference IWEB_SERVICE__SERVICE_ENDPOINT

  The meta object literal for the 'Service Endpoint' reference feature.

### IWEB_SERVICE__TARGET_NAMESPACE

    static final org.eclipse.emf.ecore.EAttribute IWEB_SERVICE__TARGET_NAMESPACE

  The meta object literal for the 'Target Namespace' attribute feature.

### IWEB_SERVICE__PORT_NAME

    static final org.eclipse.emf.ecore.EAttribute IWEB_SERVICE__PORT_NAME

  The meta object literal for the 'Port Name' attribute feature.

### IWEB_SERVICE__WSDL_LOCATION

    static final org.eclipse.emf.ecore.EAttribute IWEB_SERVICE__WSDL_LOCATION

  The meta object literal for the 'Wsdl Location' attribute feature.

### IWEB_SERVICE_PROJECT

    static final org.eclipse.emf.ecore.EClass IWEB_SERVICE_PROJECT

  The meta object literal for the '`IWeb Service Project`' class.

  See Also:
    `IWebServiceProjectImpl`, `DomPackageImpl.getIWebServiceProject()`

### IWEB_SERVICE_PROJECT__WEB_SERVICES

    static final org.eclipse.emf.ecore.EReference IWEB_SERVICE_PROJECT__WEB_SERVICES

  The meta object literal for the 'Web Services' containment reference list feature.

### IWEB_SERVICE_PROJECT__SERVICE_ENDPOINT_INTERFACES

    static final org.eclipse.emf.ecore.EReference IWEB_SERVICE_PROJECT__SERVICE_ENDPOINT_INTERFACES

  The meta object literal for the 'Service Endpoint Interfaces' containment reference list feature.

### IWEB_SERVICE_PROJECT__NAME

    static final org.eclipse.emf.ecore.EAttribute IWEB_SERVICE_PROJECT__NAME

  The meta object literal for the 'Name' attribute feature.

### IWEB_TYPE

    static final org.eclipse.emf.ecore.EClass IWEB_TYPE

  The meta object literal for the '`IWeb Type`' class.

  See Also:
    `IWebTypeImpl`, `DomPackageImpl.getIWebType()`

### WEB_PARAM_KIND

    static final org.eclipse.emf.ecore.EEnum WEB_PARAM_KIND

  The meta object literal for the '`Web Param Kind`' enum.

  See Also:
    `WebParamKind`, `DomPackageImpl.getWebParamKind()`

### SOAP_BINDING_STYLE

    static final org.eclipse.emf.ecore.EEnum SOAP_BINDING_STYLE

  The meta object literal for the '`SOAP Binding Style`' enum.

  See Also:
    `SOAPBindingStyle`, `DomPackageImpl.getSOAPBindingStyle()`

### SOAP_BINDING_USE

    static final org.eclipse.emf.ecore.EEnum SOAP_BINDING_USE

  The meta object literal for the '`SOAP Binding Use`' enum.

  See Also:
    `SOAPBindingUse`, `DomPackageImpl.getSOAPBindingUse()`

### SOAP_BINDING_PARAMETER_STYLE

    static final org.eclipse.emf.ecore.EEnum SOAP_BINDING_PARAMETER_STYLE

  The meta object literal for the '`SOAP Binding Parameter Style`' enum.

  See Also:
    `SOAPBindingParameterStyle`, `DomPackageImpl.getSOAPBindingParameterStyle()`